function [losses1 losses2]=mc_study(regulator_parameters,system,range,n)
losses1=zeros(1,n);
losses2=zeros(1,n);
[H u]=load_H;
for i=1:n
    apriori(3)=range.P0+randn*range.P0_range;
    system.b=apriori(3)*randn;
    apriori(2)=apriori(3)*randn;
    apriori(1)=range.y0_range*randn;
    while (system.b==0)
        system.b=apriori(3)*randn;
    end
    while (apriori(2)==0)
        apriori(2)=apriori(3)*randn;
    end
    losses1(i)=ce(regulator_parameters,system,apriori);
    losses2(i)=rizeni(H,u,system,apriori);
    
end
end